> ## Documentation Index
> Fetch the complete documentation index at: https://developers.betdex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a list of wallets

> Fetch a page of wallets for the current application



## OpenAPI

````yaml https://docs.api.monacoprotocol.xyz/api/v1/exchange-openapi-general.json get /wallets
openapi: 3.1.0
info:
  title: BetDEX General Integration API
  description: >-
    A RESTful API that allows you to interact with the BetDEX Exchange. Provides
    endpoints for managing Events, Markets, Sessions, Wallets and Orders. To
    interact with the API, a client must have an App Id and an API Key to
    authenticate and create a session.
  version: '0.1'
servers:
  - url: https://sandbox.api.btdx.io/
    description: Sandbox API Server
  - url: https://prod.api.btdx.io/
    description: Production API Server
security: []
tags:
  - name: API Key Management
  - name: App Management
  - name: Currencies
  - name: Event Categories
  - name: Event Groups
  - name: Event Subcategories
  - name: Events
  - name: External Reference Sources
  - name: Heartbeat Management
  - name: Market Prices
  - name: Market Types
  - name: Markets
  - name: Orders
  - name: Participants
  - name: Session Management
  - name: Status
  - name: Trades
  - name: Wallet API Key Management
  - name: Wallets
paths:
  /wallets:
    get:
      tags:
        - Wallets
      summary: Fetch a list of wallets
      description: Fetch a page of wallets for the current application
      operationId: getWallets
      parameters:
        - name: authorization
          in: header
          description: Header with the accessToken for the current session
          required: true
          schema:
            type: string
          example: Bearer eyJ0eXAiOiJ...bjV7AtDgA
        - name: walletIds
          in: query
          description: >-
            optional wallet ids to filter by - defaults to all wallets for
            calling application
          required: false
          schema:
            type: array
            items:
              type: string
            uniqueItems: true
        - name: types
          in: query
          description: wallet types to filter by, e.g., User - defaults to all types
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - Commission
                - MarketEscrow
                - System
                - User
            uniqueItems: true
          example: User
        - name: page
          in: query
          description: Zero-based page index (0..N)
          schema:
            type: integer
            default: 0
        - name: size
          in: query
          description: The size of the page to be returned
          schema:
            type: integer
            default: 20
        - name: sort
          in: query
          description: >-
            Sorting criteria in the format: property,(asc|desc). Default sort
            order is ascending. Multiple sort criteria are supported.
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PagedWalletResponse'
        '401':
          description: Session invalid
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PagedWalletResponse'
components:
  schemas:
    PagedWalletResponse:
      type: object
      properties:
        _meta:
          $ref: '#/components/schemas/Meta'
        wallets:
          type: array
          items:
            $ref: '#/components/schemas/Wallet'
    Meta:
      type: object
      properties:
        _primary_document:
          type: string
          enum:
            - apiKeys
            - apps
            - categories
            - commissionRates
            - currencies
            - depositAddresses
            - depositRequests
            - events
            - eventGroups
            - externalReferences
            - externalReferenceSources
            - heartbeats
            - ids
            - markets
            - marketOutcomes
            - marketPositions
            - marketTypes
            - orders
            - participants
            - prices
            - priceLadders
            - sessions
            - statuses
            - subcategories
            - trades
            - transactions
            - wallets
            - walletMetrics
            - withdrawalRequests
        _count:
          type: integer
          format: int32
        _page:
          $ref: '#/components/schemas/PageMeta'
    Wallet:
      type: object
      properties:
        id:
          type: string
        appId:
          type: string
        type:
          type: string
          enum:
            - Commission
            - MarketEscrow
            - System
            - User
        reference:
          type: string
        description:
          type: string
        balances:
          type: array
          items:
            $ref: '#/components/schemas/WalletBalance'
    PageMeta:
      type: object
      properties:
        _pageNumber:
          type: integer
          format: int32
        _pageSize:
          type: integer
          format: int32
        _totalElements:
          type: integer
          format: int64
        _totalPages:
          type: integer
          format: int32
    WalletBalance:
      type: object
      properties:
        currencyId:
          type: string
        balance:
          type: number
        balanceAvailable:
          type: number
        overdraft:
          type: number
        unmatchedExposure:
          type: number

````